> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Database Migrations



## OpenAPI

````yaml https://raw.githubusercontent.com/InsForge/InsForge/main/openapi/tables.yaml get /api/database/migrations
openapi: 3.0.3
info:
  title: Insforge Tables API
  version: 1.0.0
servers: []
security: []
paths:
  /api/database/migrations:
    get:
      tags:
        - Admin
      summary: List Database Migrations
      responses:
        '200':
          description: List successful custom migrations
          content:
            application/json:
              schema:
                type: object
                required:
                  - migrations
                properties:
                  migrations:
                    type: array
                    items:
                      $ref: '#/components/schemas/Migration'
              example:
                migrations:
                  - version: '20260416170500'
                    name: create_posts_table
                    statements:
                      - >-
                        CREATE TABLE posts (id UUID PRIMARY KEY DEFAULT
                        gen_random_uuid(), title TEXT NOT NULL);
                    createdAt: '2026-04-16T17:05:00.000Z'
      security:
        - bearerAuth: []
        - apiKey: []
components:
  schemas:
    Migration:
      type: object
      required:
        - version
        - name
        - statements
        - createdAt
      properties:
        version:
          type: string
          pattern: ^\d{1,64}$
        name:
          type: string
        statements:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````